org.appng.openapi.model

## Class Action

- java.lang.Object
- - org.appng.openapi.model.Action

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Action
      extends Object

  An action, representing an executable operation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_APP_N_G_VERSION`
    `static String` | `JSON_PROPERTY_APP_VERSION`
    `static String` | `JSON_PROPERTY_EVENT_ID`
    `static String` | `JSON_PROPERTY_EXECUTE`
    `static String` | `JSON_PROPERTY_FIELDS`
    `static String` | `JSON_PROPERTY_ID`
    `static String` | `JSON_PROPERTY_MESSAGES`
    `static String` | `JSON_PROPERTY_ON_SUCCESS`
    `static String` | `JSON_PROPERTY_PARAMETERS`
    `static String` | `JSON_PROPERTY_PERMISSIONS`
    `static String` | `JSON_PROPERTY_SELF`
    `static String` | `JSON_PROPERTY_TITLE`
    `static String` | `JSON_PROPERTY_USER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `addFieldsItem(ActionField fieldsItem)`
    `Action` | `addMessagesItem(Message messagesItem)`
    `Action` | `addPermissionsItem(Permission permissionsItem)`
    `Action` | `appNGVersion(String appNGVersion)`
    `Action` | `appVersion(String appVersion)`
    `boolean` | `equals(Object o)`
    `Action` | `eventId(String eventId)`
    `Action` | `execute(String execute)`
    `Action` | `fields(List<ActionField> fields)`
    `String` | `getAppNGVersion()` The version of appNG
    `String` | `getAppVersion()` The version of the application
    `String` | `getEventId()` The event-Id of the action.
    `String` | `getExecute()` The URL to execute the action
    `List<ActionField>` | `getFields()` A list of action-fields.
    `String` | `getId()` The Id of the action.
    `List<Message>` | `getMessages()` A list of messages.
    `String` | `getOnSuccess()` Get onSuccess
    `Map<String,String>` | `getParameters()` A list of parameters for the action
    `List<Permission>` | `getPermissions()` The permissions for this action.
    `String` | `getSelf()` The URL of the action
    `String` | `getTitle()` The title of the datasource.
    `User` | `getUser()` Get user
    `int` | `hashCode()`
    `Action` | `id(String id)`
    `Action` | `messages(List<Message> messages)`
    `Action` | `onSuccess(String onSuccess)`
    `Action` | `parameters(Map<String,String> parameters)`
    `Action` | `permissions(List<Permission> permissions)`
    `Action` | `putParametersItem(String key, String parametersItem)`
    `Action` | `self(String self)`
    `void` | `setAppNGVersion(String appNGVersion)`
    `void` | `setAppVersion(String appVersion)`
    `void` | `setEventId(String eventId)`
    `void` | `setExecute(String execute)`
    `void` | `setFields(List<ActionField> fields)`
    `void` | `setId(String id)`
    `void` | `setMessages(List<Message> messages)`
    `void` | `setOnSuccess(String onSuccess)`
    `void` | `setParameters(Map<String,String> parameters)`
    `void` | `setPermissions(List<Permission> permissions)`
    `void` | `setSelf(String self)`
    `void` | `setTitle(String title)`
    `void` | `setUser(User user)`
    `Action` | `title(String title)`
    `String` | `toString()`
    `Action` | `user(User user)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_SELF

          public static final String JSON_PROPERTY_SELF

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_EXECUTE

          public static final String JSON_PROPERTY_EXECUTE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ID

          public static final String JSON_PROPERTY_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_EVENT_ID

          public static final String JSON_PROPERTY_EVENT_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TITLE

          public static final String JSON_PROPERTY_TITLE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PARAMETERS

          public static final String JSON_PROPERTY_PARAMETERS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_USER

          public static final String JSON_PROPERTY_USER

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_MESSAGES

          public static final String JSON_PROPERTY_MESSAGES

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_FIELDS

          public static final String JSON_PROPERTY_FIELDS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PERMISSIONS

          public static final String JSON_PROPERTY_PERMISSIONS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ON_SUCCESS

          public static final String JSON_PROPERTY_ON_SUCCESS

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_APP_N_G_VERSION

          public static final String JSON_PROPERTY_APP_N_G_VERSION

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_APP_VERSION

          public static final String JSON_PROPERTY_APP_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Action

          public Action()

  - ### Method Detail

    - #### self

          public Action self(String self)

    - #### getSelf

          public String getSelf()

      The URL of the action
      Returns:
        self

    - #### setSelf

          public void setSelf(String self)

    - #### execute

          public Action execute(String execute)

    - #### getExecute

          @Nullable
          public String getExecute()

      The URL to execute the action
      Returns:
        execute

    - #### setExecute

          public void setExecute(String execute)

    - #### id

          public Action id(String id)

    - #### getId

          public String getId()

      The Id of the action.
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### eventId

          public Action eventId(String eventId)

    - #### getEventId

          public String getEventId()

      The event-Id of the action.
      Returns:
        eventId

    - #### setEventId

          public void setEventId(String eventId)

    - #### title

          public Action title(String title)

    - #### getTitle

          @Nullable
          public String getTitle()

      The title of the datasource.
      Returns:
        title

    - #### setTitle

          public void setTitle(String title)

    - #### parameters

          public Action parameters(Map<String,String> parameters)

    - #### putParametersItem

          public Action putParametersItem(String key,
                                          String parametersItem)

    - #### getParameters

          @Nullable
          public Map<String,String> getParameters()

      A list of parameters for the action
      Returns:
        parameters

    - #### setParameters

          public void setParameters(Map<String,String> parameters)

    - #### user

          public Action user(User user)

    - #### getUser

          @Nullable
          public User getUser()

      Get user
      Returns:
        user

    - #### setUser

          public void setUser(User user)

    - #### messages

          public Action messages(List<Message> messages)

    - #### addMessagesItem

          public Action addMessagesItem(Message messagesItem)

    - #### getMessages

          @Nullable
          public List<Message> getMessages()

      A list of messages.
      Returns:
        messages

    - #### setMessages

          public void setMessages(List<Message> messages)

    - #### fields

          public Action fields(List<ActionField> fields)

    - #### addFieldsItem

          public Action addFieldsItem(ActionField fieldsItem)

    - #### getFields

          @Nullable
          public List<ActionField> getFields()

      A list of action-fields.
      Returns:
        fields

    - #### setFields

          public void setFields(List<ActionField> fields)

    - #### permissions

          public Action permissions(List<Permission> permissions)

    - #### addPermissionsItem

          public Action addPermissionsItem(Permission permissionsItem)

    - #### getPermissions

          @Nullable
          public List<Permission> getPermissions()

      The permissions for this action.
      Returns:
        permissions

    - #### setPermissions

          public void setPermissions(List<Permission> permissions)

    - #### onSuccess

          public Action onSuccess(String onSuccess)

    - #### getOnSuccess

          @Nullable
          public String getOnSuccess()

      Get onSuccess
      Returns:
        onSuccess

    - #### setOnSuccess

          public void setOnSuccess(String onSuccess)

    - #### appNGVersion

          public Action appNGVersion(String appNGVersion)

    - #### getAppNGVersion

          @Nullable
          public String getAppNGVersion()

      The version of appNG
      Returns:
        appNGVersion

    - #### setAppNGVersion

          public void setAppNGVersion(String appNGVersion)

    - #### appVersion

          public Action appVersion(String appVersion)

    - #### getAppVersion

          @Nullable
          public String getAppVersion()

      The version of the application
      Returns:
        appVersion

    - #### setAppVersion

          public void setAppVersion(String appVersion)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.